Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5456 - Problems with kdebase-1.1.2-11.i386.rpm on updates.redhat.com
Summary: Problems with kdebase-1.1.2-11.i386.rpm on updates.redhat.com
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdebase
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-30 16:04 UTC by Scott Gifford
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-30 17:35:41 UTC


Attachments (Terms of Use)

Description Scott Gifford 1999-09-30 16:04:11 UTC
The new RPM for kdebase on updates.redhat.com does not
install cleanly onto a basically untouched RedHat system:

[root@sgifford rhlupdate]# rpm -Uvh kde*
error: file /usr/share/icons/desktop.xpm from install of
kdebase-1.1.2-11 conflicts with file from package
fvwm2-icons-2.2-5
error: file /usr/share/icons/folder.xpm from install of
kdebase-1.1.2-11 conflicts with file from package
fvwm2-icons-2.2-5

It installs OK with the --force option.

Comment 1 Preston Brown 1999-09-30 17:35:59 UTC
the errata announcement very clearly describes that this will be the
case and gives directions on how to do the upgrade.

Comment 2 Gilbert E. Detillieux 1999-10-22 19:16:59 UTC
Which errata announcement might that be?  I'm on redhat-announce, but
didn't get it.  I also checked the errata web pages (and searched for
kdebase), and only found RHSA-1999:015-01, dated 1999-06-21 (and not
revised in September).  It doesn't mention any special instructions
on doing the upgrade.  (I assume --force is needed?)

Comment 3 R P Herrold 1999-11-01 17:45:59 UTC
Instead of simply closing a bug, referring to an errata notice without
URI citation, and having a user go away and use --force -- thie
following content might help:



 Conflicts fvwm, fvwm2-icons, fvwm2, AnotherLevel


 [root@printer autorpm]# rpm -Uvh \
 /home/ftp/pub/redhat/updates/6.0/i386/qt1x-1.44-4.i386.rpm \
 /home/ftp/pub/redhat/updates/6.0/i386/qt1x-devel-1.44-4.i386.rpm \
 kdebase-1.1.2-11.i386.rpm

 file /usr/share/icons/desktop.xpm from install of
 kdebase-1.1.2-11 conflicts with file from package
 fvwm2-icons-2.2-5
 file /usr/share/icons/folder.xpm from install of kdebase-1.1.2-11
 conflicts with file from package fvwm2-icons-2.2-5
 [root@printer autorpm]#
 [root@printer autorpm]# rpm -e fvwm2-icons
 error: removing these packages would break dependencies:
                 fvwm2-icons is needed by AnotherLevel-0.9-1
                 fvwm2-icons is needed by fvwm-1.24r-17
                 fvwm2-icons is needed by fvwm2-2.2-5
 [root@printer autorpm]# rpm -e fvwm2-icons AnotherLevel fvwm
 fvwm2

... and THEN

 # rpm -Uvh \
 /home/ftp/pub/redhat/updates/6.0/i386/qt1x-1.44-4.i386.rpm \
 /home/ftp/pub/redhat/updates/6.0/i386/qt1x-devel-1.44-4.i386.rpm \
 kdebase-1.1.2-11.i386.rpm

will work ...


Note You need to log in before you can comment on or make changes to this bug.